line_info_banner_section:
  label: Banner Section
  namespace: Organisms/TM - Line Info
  use: '@organisms/tm-line-info/line-info-banner-section/line-info-banner-section.twig'
  description: Line info banner section
  fields:
    title:
      type: text
      label: Title
      preview: 'Banner Section'
    slide:
      type: object
      label: Slide
      preview:
        image_src:
          type: text
          label: Image src
          preview: https://picsum.photos/500/400
        image_alt:
          type: text
          label: Image alt
          preview: Alt text
        link_url:
          type: text
          label: Url
          preview: /somewheresomewhere
        title:
          type: text
          label: Title
          preview:
            faker: lorem.words
        subtitle:
          type: text
          label: Subtitle
          preview:
            faker: lorem.sentence
        body:
          type: text
          label: Body
          preview:
            faker: lorem.sentences
        link_scope:
          type: textfield
          label: Link scope
          preview: block
  settings:
    header_id:
      type: textfield
      label: Header ID
      preview: line-info-banner-section
    background_coloured:
      type: boolean
      label: Background coloured
      preview: true
    heading_colour:
      type: textfield
      label: Slide heading colour
      preview: white
